<?xml version="1.0" encoding="utf-8"?>

<!-- Source: 20_fichier.xml -->

<creole>

    <files>
    </files>

    <containers>
        <container name='fichier' id='12'>
            <file name="/etc/nsswitch.conf" source="nsswitch.conf.default"/>
            <!-- Lancement winbind -->
            <package>eole-fichier-membre-pkg</package>
            <service servicelist='kerberos'>winbind</service>
            <file name="/etc/krb5.conf" source='krb5-membre.conf' />
        </container>
    </containers>

    <variables>
        <family name='samba'>
            <variable name="activer_winbind" type="oui/non" description="Activer winbind" mode="expert">
                <value>oui</value>
            </variable>
            <variable name='smb_security' type='string' description='Type de domaine à intéger' />
            <variable name='smb_ad_server' type='netbios' description='Nom du contrôleur de domaine Active Directory' mandatory='True' />
            <variable name='ad_realm' type='domain_strict' description='Nom du domaine Active Directory' mandatory='True'/>
            <variable name='smb_os_level' redefine='True' >
                <value>0</value>
            </variable>
            <variable name='smb_domain_master' redefine='True' >
                <value>no</value>
            </variable>
        </family>
        <separators>
            <separator name='smb_wins_server'>Adresse du serveur wins pour le serveur de fichier</separator>
        </separators>

    </variables>

    <constraints>
        <condition name='disabled_if_in' source='activer_winbind'>
            <param>non</param>
            <target type='servicelist'>winbind</target>
        </condition>
        <check name='valid_enum' target='smb_security'>
            <param>['domain','ads']</param>
        </check>
        <condition name='disabled_if_not_in' source='smb_security'>
            <param>ads</param>
            <target type='variable'>smb_ad_server</target>
            <target type='variable'>ad_realm</target>
        </condition>

    </constraints>

    <help>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
